<?php

namespace patest\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ValidateJwtTokenForExternalService-Response StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ValidateJwtTokenForExternalService-Response
 * @subpackage Structs
 */
class ValidateJwtTokenForExternalService_Response extends ExtensibleDataContract
{
    /**
     * The IsValid
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $IsValid;
    /**
     * Constructor method for ValidateJwtTokenForExternalService-Response
     * @uses ValidateJwtTokenForExternalService_Response::setIsValid()
     * @param bool $isValid
     */
    public function __construct($isValid = null)
    {
        $this
            ->setIsValid($isValid);
    }
    /**
     * Get IsValid value
     * @return bool|null
     */
    public function getIsValid()
    {
        return $this->IsValid;
    }
    /**
     * Set IsValid value
     * @param bool $isValid
     * @return \patest\StructType\ValidateJwtTokenForExternalService_Response
     */
    public function setIsValid($isValid = null)
    {
        // validation for constraint: boolean
        if (!is_null($isValid) && !is_bool($isValid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($isValid, true), gettype($isValid)), __LINE__);
        }
        $this->IsValid = $isValid;
        return $this;
    }
}
